เวอร์ชันของ API กราฟ

    Offline Conversion Data Set Stats

    การอ่าน

    Graph API endpoint to get granular stats for a data set aggregated by event time or upload time

    ตัวอย่าง

    Graph API Explorer
    GET /v27.0/{offline-conversion-data-set-id}/stats HTTP/1.1
    Host: graph.facebook.com
    /* PHP SDK v5.0.0 */
    /* make the API call */
    try {
      // Returns a `Facebook\FacebookResponse` object
      $response = $fb->get(
        '/{offline-conversion-data-set-id}/stats',
        '{access-token}'
      );
    } catch(Facebook\Exceptions\FacebookResponseException $e) {
      echo 'Graph returned an error: ' . $e->getMessage();
      exit;
    } catch(Facebook\Exceptions\FacebookSDKException $e) {
      echo 'Facebook SDK returned an error: ' . $e->getMessage();
      exit;
    }
    $graphNode = $response->getGraphNode();
    /* handle the result */
    /* make the API call */
    FB.api(
        "/{offline-conversion-data-set-id}/stats",
        function (response) {
          if (response && !response.error) {
            /* handle the result */
          }
        }
    );
    /* make the API call */
    new GraphRequest(
        AccessToken.getCurrentAccessToken(),
        "/{offline-conversion-data-set-id}/stats",
        null,
        HttpMethod.GET,
        new GraphRequest.Callback() {
            public void onCompleted(GraphResponse response) {
                /* handle the result */
            }
        }
    ).executeAsync();
    /* make the API call */
    FBSDKGraphRequest *request = [[FBSDKGraphRequest alloc]
                                   initWithGraphPath:@"/{offline-conversion-data-set-id}/stats"
                                          parameters:params
                                          HTTPMethod:@"GET"];
    [request startWithCompletionHandler:^(FBSDKGraphRequestConnection *connection,
                                          id result,
                                          NSError *error) {
        // Handle the result
    }];
    หากคุณต้องการเรียนรู้วิธีใช้ API กราฟ โปรดอ่านคู่มือการใช้ API กราฟของเรา

    พารามิเตอร์

    พารามิเตอร์คำอธิบาย
    aggr_time
    enum{upload_time, event_time}
    ค่าเริ่มต้น: event_time

    Metrics aggregated on event time or upload time

    end
    integer

    Timestamp for range end

    granularity
    enum{daily, hourly, six_hourly}
    ค่าเริ่มต้น: daily

    Granularity of stats returned, either daily or hourly. Hourly granularity not supported for date ranges older than 30 days

    skip_empty_values
    boolean
    ค่าเริ่มต้น: false

    Skip records if all numbers are empty

    start
    integer

    Timestamp for range start

    user_timezone_id
    int64

    Timezone ID to convert data into, does not support date ranges older than 30 days. Supported timezones - https://developers.facebook.com/docs/marketing-api/reference/ad-account/timezone-ids/

    ช่อง

    การอ่านจากจุดเชื่อมโยงนี้จะให้ผลลัพธ์ที่อยู่ในรูปแบบ JSON:

    { "data": [], "paging": {}, "summary": {} }

    data

    รายชื่อของโหนด OfflineConversionDataSetStats

    paging

    หากต้องการทราบข้อมูลเพิ่มเติมเกี่ยวกับการแบ่งหน้า โปรดดูคำแนะนำ API กราฟ

    summary

    ข้อมูลโดยรวมเกี่ยวกับจุดเชื่อมโยง เช่น จำนวนนับ ระบุช่องกรอกข้อมูลเพื่อดึงข้อมูลในพารามิเตอร์สรุป (เช่น summary=attribution_status)

    ช่องคำอธิบาย
    attribution_status
    enum

    Status of attribution over the specified time period. Possible values are no_attribution, low_attribution and fine_attribution

    count
    integer

    Number of events in the specified time period

    match_rate_approx
    int32

    Approximate match rate percentage for all events in the specified time period

    usd_amount
    integer

    Sum of USD(in cents) of all events in the specified time period

    Error Codes

    ข้อผิดพลาดคำอธิบาย
    21019Offline Conversions API requests are deprecated from v20 onwards. Please use Conversions API for offline signals. v19 is the latest version that supports this Offline Conversions API endpoint and can be used until v19 is deprecated

    การสร้าง

    คุณไม่สามารถดำเนินการนี้ที่ปลายทางนี้

    กำลังอัพเดต

    คุณไม่สามารถดำเนินการนี้ที่ปลายทางนี้

    กำลังลบ

    คุณไม่สามารถดำเนินการนี้ที่ปลายทางนี้